Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.ui.util
Class DebugFocusManager

    java.lang.Object
      java.awt.KeyboardFocusManager
          java.awt.DefaultKeyboardFocusManager
              javax.swing.FocusManager
                  javax.swing.DefaultFocusManager
                      jpicedt.ui.util.DebugFocusManager

All Implemented Interfaces:
  KeyEventDispatcher, KeyEventPostProcessor

public class DebugFocusManager
extends DefaultFocusManager

A subclass of Swing's DefaultFocusManager that aims at helping us debug FocusEvent related bugs

To set this class as Swing's FocusManager, just say :
`FocusManager.setCurrentManager(an_instance_of_DebugFocusManager);`

Since:
  jPicEdt
Author:
  Sylvain Reynal

Field Summary

Fields inherited from class javax.swing.FocusManager
`FOCUS_MANAGER_CLASS_PROPERTY`

Fields inherited from class java.awt.KeyboardFocusManager
`BACKWARD_TRAVERSAL_KEYS, DOWN_CYCLE_TRAVERSAL_KEYS, FORWARD_TRAVERSAL_KEYS, UP_CYCLE_TRAVERSAL_KEYS`

Constructor Summary
`DebugFocusManager()`

Method Summary
`void` | `focusNextComponent(Component c)` Cause the focus manager to set the focus on the next focusable component
`void` | `focusPreviousComponent(Component c)` Cause the focus manager to set the focus on the previous focusable component
`void` | `processKeyEvent(Component c, KeyEvent ke)` Called by a JComponent when a key event occus.

Methods inherited from class javax.swing.DefaultFocusManager
`compareTabOrder, getComponentAfter, getComponentBefore, getFirstComponent, getLastComponent`

Methods inherited from class javax.swing.FocusManager
`disableSwingFocusManager, getCurrentManager, isFocusManagerEnabled, setCurrentManager`

Methods inherited from class java.awt.DefaultKeyboardFocusManager
`dequeueKeyEvents, discardKeyEvents, dispatchEvent, dispatchKeyEvent, downFocusCycle, enqueueKeyEvents, postProcessKeyEvent, upFocusCycle`

Methods inherited from class java.awt.KeyboardFocusManager
`addKeyEventDispatcher, addKeyEventPostProcessor, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, clearGlobalFocusOwner, downFocusCycle, firePropertyChange, fireVetoableChange, focusNextComponent, focusPreviousComponent, getActiveWindow, getCurrentFocusCycleRoot, getCurrentKeyboardFocusManager, getDefaultFocusTraversalKeys, getDefaultFocusTraversalPolicy, getFocusedWindow, getFocusOwner, getGlobalActiveWindow, getGlobalCurrentFocusCycleRoot, getGlobalFocusedWindow, getGlobalFocusOwner, getGlobalPermanentFocusOwner, getKeyEventDispatchers, getKeyEventPostProcessors, getPermanentFocusOwner, getPropertyChangeListeners, getPropertyChangeListeners, getVetoableChangeListeners, getVetoableChangeListeners, redispatchEvent, removeKeyEventDispatcher, removeKeyEventPostProcessor, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, removeVetoableChangeListener, setCurrentKeyboardFocusManager, setDefaultFocusTraversalKeys, setDefaultFocusTraversalPolicy, setGlobalActiveWindow, setGlobalCurrentFocusCycleRoot, setGlobalFocusedWindow, setGlobalFocusOwner, setGlobalPermanentFocusOwner, upFocusCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugFocusManager

    public DebugFocusManager()

Method Detail

### focusNextComponent

    public void focusNextComponent(Component c)

  Cause the focus manager to set the focus on the next focusable component

  Overriden so as to display information about the component.

  Since:
    jPicEdt

### focusPreviousComponent

    public void focusPreviousComponent(Component c)

  Cause the focus manager to set the focus on the previous focusable component

  Overriden so as to display information about the component.

  Since:
    jPicEdt

### processKeyEvent

    public void processKeyEvent(Component c,
                                KeyEvent ke)

  Called by a JComponent when a key event occus.

  Overriden so as to display information about the component.

  Parameters:
    `c` - the focused component
    `ke` - the key event
  Since:
    jPicEdt

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org